/*!\file global.h:
 * \brief: these are the global variables always needed. 
 */

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include "./types.h"
#include "../io/Comm/Comm.h"
#include "../classes/ToolkitOptions.h"

/*Communicators: */
COMM IssmComm::comm;
bool IssmComm::parallel;

/*String that is used to characterize our toolkits, ends up in Petsc Options database if we use Petsc. Can also be used to characterize the ISSM toolkit, often used when Petsc is not allowed*/
char* ToolkitOptions::toolkitoptions;

#endif
